<?php
require_once 'db.php';

function getSuperGoInfo($userId) {
    global $conn;
    $stmt = $conn->prepare("SELECT supergo_left, supergo_next_refill_time FROM user_boosts WHERE user_id = ?");
    $stmt->bind_param("s", $userId);

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        if ($row = $result->fetch_assoc()) {
            return $row;
        } else {
            return null;
        }
    } else {
        echo "Error executing query: " . $stmt->error;
        return false;
    }

    $stmt->close();
}
$data = json_decode(file_get_contents('php://input'), true);
if (isset($data['user_id'])) {
    $userId = $data['user_id'];
    $SuperGoInfo = getSuperGoInfo($userId);

    if ($SuperGoInfo !== null) {
        echo json_encode($SuperGoInfo);
    } else {
        http_response_code(404);
        echo json_encode(['error' => 'User not found']);
    }
} else {
    http_response_code(400);
    echo json_encode(['error' => 'User ID is required']);
}

$conn->close();
?>
