<?php
require_once 'db.php';

function claimDailyReward($userId) {
    global $conn;
    $stmt = $conn->prepare("UPDATE user_boosts SET like_retweet_claimed = 1 WHERE user_id = ?");
    $stmt->bind_param("s", $userId);

    return $stmt->execute();
}

$data = json_decode(file_get_contents('php://input'), true);

if (isset($data['user_id'])) {
    $userId = $data['user_id'];

    if (claimDailyReward($userId)) {
        echo json_encode(['message' => 'like_retweet_claimed successfully']);
    } else {
        http_response_code(500);
        echo json_encode(['error' => 'Unable to claim like_retweet']);
    }
} else {
    http_response_code(400);
    echo json_encode(['error' => 'User ID is required']);
}

$conn->close();
?>