<?php
require_once 'db.php';

function reduceSuperGo($userId) {
    global $conn;
    $stmt = $conn->prepare("UPDATE user_boosts SET supergo_left = GREATEST(supergo_left - 1, 0) WHERE user_id = ?");
    $stmt->bind_param("s", $userId);

    return $stmt->execute();
}

$data = json_decode(file_get_contents('php://input'), true);

if (isset($data['user_id'])) {
    $userId = $data['user_id'];

    if (reduceSuperGo($userId)) {
        echo json_encode(['message' => 'supergo used successfully']);
    } else {
        http_response_code(500);
        echo json_encode(['error' => 'Unable to use supergo']);
    }
} else {
    http_response_code(400);
    echo json_encode(['error' => 'User ID is required']);
}

$conn->close();
?>
