<?php
include 'db.php'; // Include the database connection

header('Content-Type: application/json');

// Handle POST request
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get input data
    $data = json_decode(file_get_contents('php://input'), true);

    // Validate input
    if (isset($data['user_id'])) {
        // Sanitize inputs
        $user_id = $conn->real_escape_string($data['user_id']);

        // Get the current date and time
        $current_time = date('Y-m-d H:i:s');

        // Update the farming status to active and set the next claim time
        $next_claim_time = date('Y-m-d H:i:s', strtotime($current_time . ' +1 hour'));
        $sql = "UPDATE user_farm SET farming_status = 'farming', next_farm_claim_time = '$next_claim_time' WHERE user_id = '$user_id'";

        if ($conn->query($sql) === TRUE) {
            // Response
            echo json_encode(['message' => 'Farming activated successfully']);
        } else {
            // Error updating farming status
            http_response_code(500);
            echo json_encode(['error' => 'Error activating farming: ' . $conn->error]);
        }
    } else {
        // Invalid input parameters
        http_response_code(400);
        echo json_encode(['error' => 'Invalid input parameters']);
    }
} else {
    // Method not allowed
    http_response_code(405);
    echo json_encode(['error' => 'Method Not Allowed']);
}

$conn->close();
?>
