<?php
include 'db.php'; // Include the database connection

header('Content-Type: application/json');

function getUserFarmWallet($userId) {
    global $conn;
    $sql = "SELECT farm_wallet_id FROM users WHERE user_id = '$userId'";
    $result = $conn->query($sql);
    if ($result && $result->num_rows > 0) {
        return $result->fetch_assoc()['farm_wallet_id'];
    }
    return false;
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'), true);

    if (isset($data['user_id'])) {
        $userId = $conn->real_escape_string($data['user_id']);
        $farmWalletId = getUserFarmWallet($userId);

        if (!$farmWalletId) {
            http_response_code(400);
            echo json_encode(['error' => 'Farm wallet not found']);
            $conn->close();
            exit();
        }

        $sqlFarmInfo = "SELECT farm_amount_per_hour, next_farm_claim_time, farming_status FROM user_farm WHERE user_id = '$userId'";
        $result = $conn->query($sqlFarmInfo);

        if ($result && $result->num_rows > 0) {
            $farmInfo = $result->fetch_assoc();
            $currentDateTime = new DateTime();
            $now = date("Y-m-d H:i:s");
            $nextClaimTime = new DateTime($farmInfo['next_farm_claim_time']);

            if ($farmInfo['farming_status'] === 'claimable' && $currentDateTime >= $nextClaimTime) {
                $amountToClaim = $farmInfo['farm_amount_per_hour'];

                $transactionId = bin2hex(random_bytes(16));
                $sqlAddTransaction = "INSERT INTO transactions (`trans_id`, `trans_date`, `amount`, `type`, `description`, `userid`) VALUES ('$transactionId', '$now', '$amountToClaim', 'credit', 'Farm claim','$farmWalletId')";

                if ($conn->query($sqlAddTransaction) === TRUE) {
                    $newNextClaimTime = $currentDateTime->modify('+1 day')->format('Y-m-d H:i:s');
                    $sqlUpdateFarmStatus = "UPDATE user_farm SET farming_status = 'inactive', next_farm_claim_time = '$newNextClaimTime' WHERE user_id = '$userId'";
                    
                    if ($conn->query($sqlUpdateFarmStatus) === TRUE) {
                        echo json_encode(['success' => 'Amount claimed successfully', 'amount' => $amountToClaim]);
                    } else {
                        http_response_code(500);
                        echo json_encode(['error' => 'Failed to update farm status']);
                    }
                } else {
                    http_response_code(500);
                    echo json_encode(['error' => 'Failed to add transaction']);
                }
            } else {
                http_response_code(400);
                echo json_encode(['error' => 'Not claimable or claim time not reached']);
            }
        } else {
            http_response_code(500);
            echo json_encode(['error' => 'Unable to fetch farm information']);
        }
    } else {
        http_response_code(400);
        echo json_encode(['error' => 'User ID is required']);
    }
} else {
    http_response_code(405);
    echo json_encode(['error' => 'Method Not Allowed']);
}

$conn->close();
?>
