<?php
include 'db.php'; // Include the database connection

header('Content-Type: application/json');

// Function to get the balance of a user's farm wallet
function getFarmWalletBalance($userId) {
    global $conn;
    $userId = $conn->real_escape_string($userId);

    $sql = "SELECT farm_wallet_id FROM users WHERE user_id = '$userId'";
    $result = $conn->query($sql);

    if ($result && $result->num_rows > 0) {
        $row = $result->fetch_assoc();
        $farmWalletId = $row['farm_wallet_id'];

        // Now fetch the balance from transactions table
        $sqlGetBalance = "SELECT COALESCE(SUM(CASE WHEN type = 'credit' THEN amount ELSE -amount END), 0) AS balance FROM transactions WHERE userid = '$farmWalletId'";
        $resultBalance = $conn->query($sqlGetBalance);

        //$resultBalance = $conn->query($sqlBalance);

        if ($resultBalance && $resultBalance->num_rows > 0) {
            $rowBalance = $resultBalance->fetch_assoc();
            return intval($rowBalance['balance']);
        } else {
            return 0; // Return 0 balance if no transactions found
        }
    } else {
        return 0; // Return 0 balance if farm wallet not found
    }
}

// Handle POST request
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get input data
    $data = json_decode(file_get_contents('php://input'), true);

    // Validate input
    if (isset($data['user_id'])) {
        $userId = $data['user_id'];
        $farmWalletBalance = getFarmWalletBalance($userId);

        echo json_encode(['farm_wallet_balance' => $farmWalletBalance]);
    } else {
        http_response_code(400);
        echo json_encode(['error' => 'User ID is required']);
    }
} else {
    // Method not allowed
    http_response_code(405);
    echo json_encode(['error' => 'Method Not Allowed']);
}

$conn->close();
?>
