<?php
include 'db.php'; // Include the database connection

header('Content-Type: application/json');

// Function to fetch farm boost prices
function getFarmBoostPrices() {
    global $conn;

    $sql = "SELECT * FROM farm_boosts";
    $result = $conn->query($sql);

    if ($result && $result->num_rows > 0) {
        $boosts = array();
        while ($row = $result->fetch_assoc()) {
            $boosts[] = array(
                'id' => $row['id'],
                'name' => $row['name'],
                'cost' => intval($row['cost']),
                'reward' => intval($row['reward'])
            );
        }
        return $boosts;
    } else {
        return [];
    }
}

// Handle GET request
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $boostPrices = getFarmBoostPrices();

    if (!empty($boostPrices)) {
        echo json_encode($boostPrices);
    } else {
        http_response_code(404);
        echo json_encode(['error' => 'No farm boosts available']);
    }
} else {
    // Method not allowed
    http_response_code(405);
    echo json_encode(['error' => 'Method Not Allowed']);
}

$conn->close();
?>
