<?php
include 'db.php'; // Include the database connection

header('Content-Type: application/json');

// Function to fetch farm boosts purchased by user
function getFarmBoostsPurchased($userId) {
    global $conn;
    $userId = $conn->real_escape_string($userId);

    $sql = "SELECT b.id, b.name, b.cost, b.reward
            FROM farm_boosts b
            INNER JOIN user_farm_boost_purchased p ON b.id = p.farm_boost_id
            WHERE p.user_id = '$userId'";

    $result = $conn->query($sql);

    if ($result && $result->num_rows > 0) {
        $boosts = array();
        while ($row = $result->fetch_assoc()) {
            $boosts[] = array(
                'id' => $row['id'],
                'name' => $row['name'],
                'cost' => intval($row['cost']),
                'reward' => intval($row['reward'])
            );
        }
        return $boosts;
    } else {
        return [];
    }
}

// Handle POST request
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get input data
    $data = json_decode(file_get_contents('php://input'), true);

    // Validate input
    if (isset($data['user_id'])) {
        $userId = $data['user_id'];
        $boostsPurchased = getFarmBoostsPurchased($userId);

        if (!empty($boostsPurchased)) {
            echo json_encode($boostsPurchased);
        } else {
            http_response_code(200);
            echo json_encode([]);
        }
    } else {
        http_response_code(400);
        echo json_encode(['error' => 'User ID is required']);
    }
} else {
    // Method not allowed
    http_response_code(405);
    echo json_encode(['error' => 'Method Not Allowed']);
}

$conn->close();
?>
