<?php
include 'db.php'; // Include the database connection

header('Content-Type: application/json');

// Function to fetch farm information for a user
function getFarmInfo($userId) {
    global $conn;
    $userId = $conn->real_escape_string($userId);

    $sql = "SELECT * FROM user_farm WHERE user_id = '$userId'";
    $result = $conn->query($sql);

    if ($result && $result->num_rows > 0) {
        $row = $result->fetch_assoc();
        return [
            'farm_amount_per_hour' => intval($row['farm_amount_per_hour']),
            'next_farm_claim_time' => $row['next_farm_claim_time'],
            'farming_status' => $row['farming_status']
        ];
    } else {
        return null;
    }
}

// Handle POST request
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get input data
    $data = json_decode(file_get_contents('php://input'), true);

    // Validate input
    if (isset($data['user_id'])) {
        $userId = $data['user_id'];
        $farmInfo = getFarmInfo($userId);

        if ($farmInfo !== null) {
            echo json_encode($farmInfo);
        } else {
            http_response_code(404);
            echo json_encode(['error' => 'Farm information not found for the user']);
        }
    } else {
        http_response_code(400);
        echo json_encode(['error' => 'User ID is required']);
    }
} else {
    // Method not allowed
    http_response_code(405);
    echo json_encode(['error' => 'Method Not Allowed']);
}

$conn->close();
?>
