<?php
include 'db.php'; // Include the database connection

header('Content-Type: application/json');

function getFarmBoostDetails($boostId) {
    global $conn;
    $sql = "SELECT cost, reward FROM farm_boosts WHERE id = '$boostId'";
    $result = $conn->query($sql);
    if ($result && $result->num_rows > 0) {
        return $result->fetch_assoc();
    }
    return false;
}

function getUserFarmWallet($userId) {
    global $conn;
    $sql = "SELECT farm_wallet_id FROM users WHERE user_id = '$userId'";
    $result = $conn->query($sql);
    if ($result && $result->num_rows > 0) {
        return $result->fetch_assoc()['farm_wallet_id'];
    }
    return false;
}


if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'), true);

    if (isset($data['user_id'], $data['boost_id'])) {
        $userId = $conn->real_escape_string($data['user_id']);
        $boostId = (int)$data['boost_id'];
        $farmWalletId = getUserFarmWallet($userId);

        if (!$farmWalletId) {
            http_response_code(400);
            echo json_encode(['error' => 'Farm wallet not found']);
            $conn->close();
            exit();
        }

        $boostDetails = getFarmBoostDetails($boostId);

        if ($boostDetails) {
            $cost = $boostDetails['cost'];
            $reward = $boostDetails['reward'];

            $sqlGetBalance = "SELECT COALESCE(SUM(CASE WHEN type = 'credit' THEN amount ELSE -amount END), 0) AS balance FROM transactions WHERE userid = '$farmWalletId'";
            $result = $conn->query($sqlGetBalance);

            if ($result && $result->num_rows > 0) {
                $balance = $result->fetch_assoc()['balance'];

                if ($balance >= $cost) {
                    $transactionIdDebit = bin2hex(random_bytes(16));
                    $sqlDebit = "INSERT INTO transactions (trans_id, type, userid, description, amount) VALUES ('$transactionIdDebit', 'debit', '$farmWalletId', 'completed', '$cost')";

                    if ($conn->query($sqlDebit) === TRUE) {
                        $sqlUpdateFarmAmount = "UPDATE user_farm SET farm_amount_per_hour = '$reward' WHERE user_id = '$userId'";
                        $sqlInsertBoostPurchased = "INSERT INTO user_farm_boost_purchased (user_id, farm_boost_id) VALUES ('$userId', '$boostId')";

                        if ($conn->query($sqlUpdateFarmAmount) === TRUE && $conn->query($sqlInsertBoostPurchased) === TRUE) {
                            echo json_encode(['success' => 'Farm boost purchased successfully', 'new_farm_amount_per_hour' => $reward]);
                        } else {
                            http_response_code(500);
                            echo json_encode(['error' => 'Failed to update farm amount or insert boost purchased']);
                        }
                    } else {
                        http_response_code(500);
                        echo json_encode(['error' => 'Failed to debit cost']);
                    }
                } else {
                    http_response_code(400);
                    echo json_encode(['error' => 'Insufficient balance']);
                }
            } else {
                http_response_code(500);
                echo json_encode(['error' => 'Unable to fetch balance']);
            }
        } else {
            http_response_code(400);
            echo json_encode(['error' => 'Invalid boost ID']);
        }
    } else {
        http_response_code(400);
        echo json_encode(['error' => 'User ID and Boost ID are required']);
    }
} else {
    http_response_code(405);
    echo json_encode(['error' => 'Method Not Allowed']);
}

$conn->close();
?>
