<?php
include 'db.php'; // Include the database connection

header('Content-Type: application/json');

function getUserFarmWallet($userId) {
    global $conn;
    $sql = "SELECT farm_wallet_id FROM users WHERE user_id = '$userId'";
    $result = $conn->query($sql);
    if ($result && $result->num_rows > 0) {
        return $result->fetch_assoc()['farm_wallet_id'];
    }
    return false;
}


if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'), true);

    if (isset($data['user_id'], $data['amount'])) {
        $userId = $conn->real_escape_string($data['user_id']);
        
        $amount = (int)$data['amount'];
        $farmWalletId = getUserFarmWallet($userId);

        if (!$farmWalletId) {
            http_response_code(400);
            echo json_encode(['error' => 'Farm wallet not found']);
            $conn->close();
            exit();
        }

        $sqlGetBalance = "SELECT COALESCE(SUM(CASE WHEN type = 'credit' THEN amount ELSE -amount END), 0) AS balance FROM transactions WHERE userid = '$farmWalletId'";
        $result = $conn->query($sqlGetBalance);

        if ($result && $result->num_rows > 0) {
            $balance = $result->fetch_assoc()['balance'];

            if ($balance >= $amount) {
                $transactionIdDebit = bin2hex(random_bytes(16));
                $transactionIdCredit = bin2hex(random_bytes(16));

                $sqlDebit = "INSERT INTO transactions (trans_id, type, userid, description, amount) VALUES ('$transactionIdDebit', 'debit', '$farmWalletId', 'completed', '$amount')";
                $sqlCredit = "INSERT INTO transactions (trans_id, type, userid, description, amount) VALUES ('$transactionIdCredit', 'credit', '$userId', 'completed', '$amount')";

                if ($conn->query($sqlDebit) === TRUE && $conn->query($sqlCredit) === TRUE) {
                    echo json_encode(['success' => 'Tokens sent successfully']);
                } else {
                    http_response_code(500);
                    echo json_encode(['error' => 'Failed to process transactions']);
                }
            } else {
                http_response_code(400);
                echo json_encode(['error' => 'Insufficient balance']);
            }
        } else {
            http_response_code(500);
            echo json_encode(['error' => 'Unable to fetch balance']);
        }
    } else {
        http_response_code(400);
        echo json_encode(['error' => 'User ID, target wallet ID, and amount are required']);
    }
} else {
    http_response_code(405);
    echo json_encode(['error' => 'Method Not Allowed']);
}

$conn->close();
?>
