<?php
require_once 'db.php';

function getInviteLink($userId) {
    global $conn;

    $stmt = $conn->prepare("SELECT ref_code FROM users WHERE user_id = ?");
    $stmt->bind_param("s", $userId);

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        if ($row = $result->fetch_assoc()) {
            return $row['ref_code'];
        } else {
            return null;
        }
    } else {
        echo "Error executing query: " . $stmt->error;
        return false;
    }

    //$stmt->close();
}

$data = json_decode(file_get_contents('php://input'), true);
if (isset($data['user_id'])) {
    $userId = $data['user_id'];
    $inviteLink = getInviteLink($userId);
    if ($inviteLink !== false) {
        echo json_encode(['invite_link' => "https://t.me/TokenRial_bot?start=".$inviteLink]);
    } else {
        http_response_code(500);
        echo json_encode(['error' => 'Unable to fetch invite link']);
    }
} else {
    http_response_code(400);
    echo json_encode(['error' => 'User ID is required']);
}

$conn->close();
?>
