<?php
require_once 'db.php';

function getLeagueRewards() {
    global $conn;
    $rewards = [];

    $stmt = $conn->prepare("SELECT name, threshold, reward FROM league_reward ORDER BY threshold ASC");

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        while ($row = $result->fetch_assoc()) {
            $rewards[] = $row;
        }
        return $rewards;
    } else {
        echo "Error executing query: " . $stmt->error;
        return false;
    }

    $stmt->close();
}

$rewards = getLeagueRewards();

if ($rewards !== false) {
    echo json_encode(['rewards' => $rewards]);
} else {
    http_response_code(500);
    echo json_encode(['error' => 'Unable to fetch league rewards']);
}

$conn->close();
?>
