<?php
require_once 'db.php';

function addTask($name, $description, $startDate, $endDate, $redirectLink) {
    global $conn;

    $taskId = uniqid('task_', true);

    $stmt = $conn->prepare("INSERT INTO tasks (task_id, name, description, start_date, end_date, redirect_link) VALUES (?, ?, ?, ?, ?, ?)");
    $stmt->bind_param("ssssss", $taskId, $name, $description, $startDate, $endDate, $redirectLink);

    if ($stmt->execute()) {
        return true;
    } else {
        echo "Error executing query: " . $stmt->error;
        return false;
    }

    $stmt->close();
}

$data = json_decode(file_get_contents('php://input'), true);

if (isset($data['name']) && isset($data['description']) && isset($data['start_date']) && isset($data['end_date']) && isset($data['redirect_link'])) {
    $name = $data['name'];
    $description = $data['description'];
    $startDate = $data['start_date'];
    $endDate = $data['end_date'];
    $redirectLink = $data['redirect_link'];

    if (addTask($name, $description, $startDate, $endDate, $redirectLink)) {
        echo json_encode(['message' => 'Task added successfully']);
    } else {
        http_response_code(500);
        echo json_encode(['error' => 'Unable to add task']);
    }
} else {
    http_response_code(400);
    echo json_encode(['error' => 'Missing required fields']);
}

$conn->close();
?>
