<?php
require_once 'db.php';

function getTasks() {
    global $conn;

    $stmt = $conn->prepare("SELECT task_id, name, description, start_date, end_date, redirect_link, reward FROM tasks");

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        $tasks = [];
        while ($row = $result->fetch_assoc()) {
            $tasks[] = $row;
        }
        return $tasks;
    } else {
        echo "Error executing query: " . $stmt->error;
        return false;
    }

    $stmt->close();
}

$tasks = getTasks();
if ($tasks !== false) {
    echo json_encode(['tasks' => $tasks]);
} else {
    http_response_code(500);
    echo json_encode(['error' => 'Unable to fetch tasks']);
}

$conn->close();
?>
