<?php
require_once 'db.php';

function getWalletAddress($conn, $user_id) {
    $query = "SELECT wallet_address FROM users WHERE user_id = :user_id";
    $stmt = $conn->prepare($query);
    $stmt->bindParam(':user_id', $user_id, PDO::PARAM_STR);

    if ($stmt->execute()) {
        $row = $stmt->fetch(PDO::FETCH_ASSOC);
        if ($row) {
            return array('status' => 'success', 'wallet_address' => $row['wallet_address']);
        } else {
            return array('status' => 'error', 'message' => 'User not found.');
        }
    } else {
        return array('status' => 'error', 'message' => 'Database query failed.');
    }
}

// Main execution
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $input = file_get_contents('php://input');
    $data = json_decode($input, true);

    if (isset($data['user_id']) && !empty(trim($data['user_id']))) {
        $user_id = htmlspecialchars(strip_tags(trim($data['user_id'])));

        $database = new Database();
        $conn = $database->getConnection();

        if ($conn) {
            $response = getWalletAddress($conn, $user_id);
            echo json_encode($response);
        } else {
            echo json_encode(array('status' => 'error', 'message' => 'Database connection failed.'));
        }
    } else {
        echo json_encode(array('status' => 'error', 'message' => 'Invalid input.'));
    }
} else {
    echo json_encode(array('status' => 'error', 'message' => 'Invalid request method.'));
}
?>
