<?php
require_once 'db.php';

function addNewTransaction($userId, $amount, $type, $description) {
    global $conn;

    $transId = uniqid('trans_', true);
    $transDate = date('Y-m-d H:i:s');

    $stmt = $conn->prepare("INSERT INTO transactions (trans_id, trans_date, amount, type, description, userid) VALUES (?, ?, ?, ?, ?, ?)");
    $stmt->bind_param("ssdsis", $transId, $transDate, $amount, $type, $description, $userId);

    if ($stmt->execute()) {
        return true;
    } else {
        echo "Error executing query: " . $stmt->error;
        return false;
    }

    $stmt->close();
}

$data = json_decode(file_get_contents('php://input'), true);

if (isset($data['user_id']) && isset($data['amount']) && isset($data['type']) && isset($data['description'])) {
    $userId = $data['user_id'];
    $amount = $data['amount'];
    $type = $data['type'];
    $description = $data['description'];

    if (addNewTransaction($userId, $amount, $type, $description)) {
        echo json_encode(['message' => 'Transaction added successfully']);
    } else {
        http_response_code(500);
        echo json_encode(['error' => 'Unable to add transaction']);
    }
} else {
    http_response_code(400);
    echo json_encode(['error' => 'Missing required fields']);
}

$conn->close();
?>
