<?php
require_once 'db.php';

try {
    // Query to get the count of all users
    $query = "SELECT COUNT(*) AS user_count FROM users";
    $result = $conn->query($query);

    if ($result) {
        $row = $result->fetch_assoc();
        $response = [
            'status' => 'success',
            'user_count' => $row['user_count']
        ];
    } else {
        $response = [
            'status' => 'error',
            'message' => 'Failed to retrieve user count.'
        ];
    }
} catch (Exception $e) {
    $response = [
        'status' => 'error',
        'message' => 'Error: ' . $e->getMessage()
    ];
}

echo json_encode($response);

$conn->close();
?>
