<?php
require_once 'db.php';

function getInviteCount($userId) {
    global $conn;

    $stmt = $conn->prepare("SELECT COUNT(*) as invite_count FROM invitations WHERE inviter_id = ?");
    $stmt->bind_param("s", $userId);

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        if ($row = $result->fetch_assoc()) {
            return $row['invite_count'];
        } else {
            return 0;
        }
    } else {
        echo "Error executing query: " . $stmt->error;
        return false;
    }

    $stmt->close();
}

$data = json_decode(file_get_contents('php://input'), true);
if (isset($data['user_id'])) {
    $userId = $data['user_id'];
    $inviteCount = getInviteCount($userId);
    if ($inviteCount !== false) {
        echo json_encode(['invite_count' => $inviteCount]);
    } else {
        http_response_code(500);
        echo json_encode(['error' => 'Unable to fetch invite count']);
    }
} else {
    http_response_code(400);
    echo json_encode(['error' => 'User ID is required']);
}

$conn->close();
?>
