<?php
require_once 'db.php';

function getLeagueClaimStatus($userId) {
    global $conn;

    $stmt = $conn->prepare("SELECT threshold FROM is_claimed_leagues WHERE userid = ?");
    $stmt->bind_param("s", $userId);

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        $claimedStatus = [];
        while ($row = $result->fetch_assoc()) {
            $row["is_claimed"]=true;
            $claimedStatus[] = $row;
        }
        return $claimedStatus;
    } else {
        echo "Error executing query: " . $stmt->error;
        return false;
    }

    $stmt->close();
}

$data = json_decode(file_get_contents('php://input'), true);
if (isset($data['user_id'])) {
    $userId = $data['user_id'];
    $claimedStatus = getLeagueClaimStatus($userId);
    if ($claimedStatus !== false) {
        echo json_encode(['league_claim_status' => $claimedStatus]);
    } else {
        http_response_code(500);
        echo json_encode(['error' => 'Unable to fetch league claim status']);
    }
} else {
    http_response_code(400);
    echo json_encode(['error' => 'User ID is required']);
}

$conn->close();
?>
