<?php
require_once 'db.php';

function getUserSuperTapInfo($userId) {
    global $conn;
    $stmt = $conn->prepare("SELECT supertap_level FROM user_boosts WHERE user_id = ?");
    $stmt->bind_param("s", $userId);

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        if ($row = $result->fetch_assoc()) {
            return $row['supertap_level'];
        } else {
            return null; // User not found or no supertap_level set
        }
    } else {
        echo "Error executing query: " . $stmt->error;
        return false;
    }

    $stmt->close();
}

function calculateNextSuperTapPurchasePrice($currentLevel) {
    // Example calculation: Base price + (level * increment)
    $basePrice = 10000; // Base price for the next purchase
    $increment = 10000; // Incremental cost per level
    return $basePrice + ($currentLevel * $increment);
}

function calculateSuperTapReward($currentLevel) {
    // Example calculation: Base reward + (level * increment)
    $baseReward = 1; // Base reward for the current level
    $increment = 1; // Incremental reward per level
    return $baseReward + ($currentLevel * $increment);
}
$data = json_decode(file_get_contents('php://input'), true);
if (isset($data['user_id'])) {
    $userId = $data['user_id'];
    $superTapLevel = getUserSuperTapInfo($userId);

    if ($superTapLevel !== null) {
        $nextPurchasePrice = calculateNextSuperTapPurchasePrice($superTapLevel);
        $reward = calculateSuperTapReward($superTapLevel);

        echo json_encode([
            'supertap_level' => $superTapLevel,
            'next_supertap_purchase_price' => $nextPurchasePrice,
            'no_of_supertap' => $reward
        ]);
    } else {
        http_response_code(404);
        echo json_encode(['error' => 'User not found or no supertap_level set']);
    }
} else {
    http_response_code(400);
    echo json_encode(['error' => 'User ID is required']);
}

$conn->close();
?>
