<?php
$servername = "localhost";
$username = "wealwhge_rial_user";
$password = "9TvmhUpmkW@h3Hu";
$dbname = "wealwhge_rial";

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Headers: *");

// Create connection
$conn = new mysqli($servername, $username, $password);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Create database if not exists
$sql = "CREATE DATABASE IF NOT EXISTS $dbname";
if ($conn->query($sql) === FALSE) {
    die("Error creating database: " . $conn->error);
}

// Select the database
$conn->select_db($dbname);

// Create tables
$createUsersTable = "
CREATE TABLE IF NOT EXISTS users (
    user_id VARCHAR(150) PRIMARY KEY,
    ref_code VARCHAR(150),
    wallet_address VARCHAR(150)
)";

$createUserBoostsTable = "
CREATE TABLE IF NOT EXISTS user_boosts (
    user_id VARCHAR(150) PRIMARY KEY,
    boostme_left INT DEFAULT 0,
    boostme_next_refill_time DATETIME,
    supergo_left INT DEFAULT 0,
    supergo_next_refill_time DATETIME,
    supertap_level INT DEFAULT 0,
    energy_level INT DEFAULT 0
)";

$createTransactionsTable = "
CREATE TABLE IF NOT EXISTS transactions (
    trans_id VARCHAR(150) PRIMARY KEY,
    trans_date DATETIME NOT NULL,
    amount DECIMAL(10, 2) NOT NULL,
    type VARCHAR(150) NOT NULL,
    description TEXT,
    userid VARCHAR(150) NOT NULL
)";

$createInvitationsTable = "
CREATE TABLE IF NOT EXISTS invitations (
    inviter_id VARCHAR(100),
    invited_id VARCHAR(100),
    date DATETIME NOT NULL,
    PRIMARY KEY(inviter_id, invited_id)
)";

$createTasksTable = "
CREATE TABLE IF NOT EXISTS tasks (
    task_id VARCHAR(150) PRIMARY KEY,
    name VARCHAR(150) NOT NULL,
    description TEXT,
    reward DECIMAL(10, 2) NOT NULL,
    end_date DATETIME,
    start_date DATETIME,
    redirect_link VARCHAR(150)
)";

$createDoneTasksTable = "
CREATE TABLE IF NOT EXISTS done_tasks (
    userid VARCHAR(100),
    task_id VARCHAR(100),
    PRIMARY KEY (userid, task_id)
)";

$createInviteRewardsTable = "
CREATE TABLE IF NOT EXISTS invite_rewards (
    threshold INT PRIMARY KEY,
    reward INT NOT NULL
)";

$createRaceRewardTable = "
CREATE TABLE IF NOT EXISTS race_reward (
    name VARCHAR(150) PRIMARY KEY,
    level INT NOT NULL,
    reward INT NOT NULL
)";

$createLeagueRewardTable = "
CREATE TABLE IF NOT EXISTS league_reward (
    name VARCHAR(150) PRIMARY KEY,
    threshold INT NOT NULL,
    reward INT NOT NULL
)";

$is_claimed_invite='CREATE TABLE IF NOT EXISTS is_claimed_invite (
    userid VARCHAR(150),
    threshold INT,
    PRIMARY KEY (userid, threshold)
)';

$is_claimed_race='CREATE TABLE IF NOT EXISTS is_claimed_race (
    userid VARCHAR(100),
    name VARCHAR(100),
    level INT,
    PRIMARY KEY (userid, name, level)
)';

$is_claimed_league='CREATE TABLE IF NOT EXISTS is_claimed_leagues (
    userid VARCHAR(100),
    name VARCHAR(100),
    threshold INT,
    PRIMARY KEY (userid, name, threshold)
)';

// Execute table creation queries
$tables = [
    $createUsersTable,
    $createUserBoostsTable,
    $createTransactionsTable,
    $createInvitationsTable,
    $createTasksTable,
    $createDoneTasksTable,
    $createInviteRewardsTable,
    $createRaceRewardTable,
    $createLeagueRewardTable,
    $is_claimed_invite,
    $is_claimed_race,
    $is_claimed_league,
   
];

foreach ($tables as $table) {
    if ($conn->query($table) === FALSE) {
        echo "Error creating table: " . $conn->error . "\n";
    }
}

// Insert initial data
$insertLeagueRewards = "
INSERT IGNORE INTO league_reward (name, threshold, reward) VALUES
('Bronze', 0, '99,999'),
('Sliver', 100000, '999,999'),
('Gold', 1000000, '9,999,999'),
('Perl', 10000000, '99,999,999'),
('Platinum', 100000000, '999,999,999'),
('Emerald', 500000000, '999,999,999'),
('Ruby', 1000000000, '1,000,000,000')
";

$insertRaceRewards = "
INSERT IGNORE INTO race_reward (name, level, reward) VALUES
('super', '1', 10000),
('energy_capacity', '1', 10000)
";

$insertInviteRewards = "
INSERT IGNORE INTO invite_rewards (threshold, reward) VALUES
(11, '110000'),
(26, '300000'),
(50, '700000'),
(100, '1500000'),
(500, '10000000'),
(1000, '25000000'),
(10000, '300000000'),
(100000, '4000000000')
";

$insertTask = "
INSERT IGNORE INTO tasks (task_id, name, reward, description, end_date, start_date, redirect_link) 
VALUES ('task_telegram', 'Join Telegram Group', 50000, 'Join our official Telegram group to stay updated with the latest news and updates.', '2024-12-31', '2024-01-01', 'https://t.me/rial_token'),
        ('task_x', 'Follow on X', 50000, 'Follow us on our official X to stay updated with the latest news and updates.', '2024-12-31', '2024-01-01', 'https://x.com/tokenrial')
        
";

$inserts = [
    $insertLeagueRewards,
    $insertRaceRewards,
    $insertInviteRewards,
    $insertTask
];

foreach ($inserts as $insert) {
    if ($conn->query($insert) === FALSE) {
        echo "Error inserting data: " . $conn->error . "\n";
    }
}

//include_once "../race/process_autojog.php";
include_once "process_daily_boosts.php";
//echo "Database setup completed successfully.";

//$conn->close();
?>
