<?php
include 'db.php';

header('Content-Type: application/json');

// Get the JSON input
$input = file_get_contents('php://input');
$data = json_decode($input, true);

$user_id = isset($data['user_id']) ? trim($data['user_id']) : null;
$wallet_address = isset($data['wallet_address']) ? trim($data['wallet_address']) : null;

if (empty($user_id) || empty($wallet_address)) {
    echo json_encode(['error' => 'User ID and Wallet Address are required']);
    exit;
}

// Update wallet address for the user
$stmt = $conn->prepare("UPDATE users SET wallet_address = ? WHERE user_id = ?");
$stmt->bind_param("ss", $wallet_address, $user_id);

if ($stmt->execute()) {
    echo json_encode(['success' => 'Wallet address updated successfully']);
} else {
    echo json_encode(['error' => 'Error updating wallet address']);
}

$stmt->close();
$conn->close();
?>
