<?php
require_once 'db.php';

function getUserOverallBalance($userId) {
    global $conn;

    $stmt = $conn->prepare("SELECT SUM(amount) as balance FROM transactions WHERE userid = ? AND type = 'credit'");
    $stmt->bind_param("s", $userId);

    if ($stmt->execute()) {
        $result = $stmt->get_result();
        if ($row = $result->fetch_assoc()) {
            return $row['balance'];
        } else {
            return 0;
        }
    } else {
        echo "Error executing query: " . $stmt->error;
        return false;
    }

    $stmt->close();
}
$data = json_decode(file_get_contents('php://input'), true);
if (isset($data['user_id'])) {
    $userId = $data['user_id'];
    $balance = getUserOverallBalance($userId);
    if ($balance !== false) {
        echo json_encode(['balance' => $balance]);
    } else {
        http_response_code(500);
        echo json_encode(['error' => 'Unable to fetch balance']);
    }
} else {
    http_response_code(400);
    echo json_encode(['error' => 'User ID is required']);
}

$conn->close();
?>
